import { axios } from '@/utils/request'

//  调拨管理 列表  分页
export const allocateBillList = (params) => {
  const url = `/allocateBill/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 调拨管理  新增
export const allocateBillSave = params => {
  return axios({
    url: '/allocateBill/save',
    data: params,
    method: 'post'
  })
}
// 调拨管理  详情
export const allocateBillDel = params => {
  return axios({
    url: `/allocateBill/delete/${params.sn}`,
    data: {},
    method: 'get'
  })
}
// 调拨管理  删除
export const allocateBillDetail = params => {
  return axios({
    url: `/allocateBill/findBySn/${params.sn}`,
    data: {},
    method: 'get'
  })
}
// 调拨管理  审核
export const allocateBillAudit = params => {
  return axios({
    url: `/allocateBill/audit/${params.sn}/${params.state}`,
    data: {},
    method: 'get'
  })
}
// 调拨管理  提交
export const allocateBillSubmit = params => {
  return axios({
    url: `/allocateBill/submit/${params.sn}`,
    data: {},
    method: 'get'
  })
}
//  调拨管理 导出
export const allocateBillExport = (params) => {
  return axios({
    url: '/allocateBill/exportExcel',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
//  调拨管理  明细 列表  分页
export const allocateBillDetailList = (params) => {
  const url = `/allocateBill/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  调拨管理  明细 列表  合计
export const allocateBillDetailCount = (params) => {
  return axios({
    url: '/allocateBill/detail/queryCount',
    data: params,
    method: 'post'
  })
}
// 调拨管理  详情  删除
export const allocateBillDetailDel = params => {
  return axios({
    url: `/allocateBill/detail/delete/${params.id}`,
    data: {},
    method: 'get'
  })
}
// 调拨管理  详情  整单删除
export const allocateBillDetailDelAll = params => {
  return axios({
    url: `/allocateBill/detail/deleteAll/${params.sn}`,
    data: {},
    method: 'get'
  })
}
// 调拨管理  详情  保存
export const allocateBillDetailSave = params => {
  return axios({
    url: '/allocateBill/detail/save',
    data: params,
    method: 'post'
  })
}
// 调拨管理 详情  打印
export const allocateBillDetailPrint = params => {
  const url = `/allocateBill/print/${params.printType}/${params.isPreview}`
  delete params.printType
  delete params.isPreview
  return axios.request({
    url: url,
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 调拨管理  详情  打印  产品列表
export const allocateBillProductTypeList = params => {
  const url = `/allocateBill/queryProductTypeList/${params.sn}`
  delete params.sn
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 调拨管理 下载模板
export const allocateBillDownload = params => {
  return axios.request({
    url: `/allocateBill/detail/downloadExcel`,
    method: 'post',
    responseType: 'blob'
  })
}
// 调拨管理  解析导入的文件
export const allocateBillParseProducts = params => {
  return axios({
    url: '/allocateBill/detail/parseProducts',
    data: params,
    method: 'post'
  })
}
// 调拨管理  批量插入
export const allocateBillBatchInsert = params => {
  return axios({
    url: '/allocateBill/detail/batchInsert',
    data: params,
    method: 'post'
  })
}
//  调拨管理 导入产品  导出错误项
export const allocateBillFailExcel = (params) => {
  return axios({
    url: '/allocateBill/detail/downloadFailExcel',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
//  调拨 详情  导出
export const allocateBillDetailExcel = (params) => {
  return axios({
    url: '/allocateBill/detail/exportExcel',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
